Bug 220859 - java-1.4.2-gcj-compact segfault during postinstall in mock
java-1.4.2-gcj-compact segfault during postinstall in mock
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-27 21:20 EST by Deji Akingunola
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-10 18:07:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deji Akingunola 2006-12-27 21:20:10 EST
Description of problem:
The post-install scriptlet of java-1.4.2-gcj-compact produces a segmentation
fault in a mock environment, and thus leads to a build failure of the package
(mpich2 in my case) that depends on it.
This happens with x86_64 rawhide as of today (20061227). A snip of the mock root
log is reproduced below.

>>
dirname: missing operand
Try `dirname --help' for more information.
mkdir: missing operand
Try `mkdir --help' for more information.
/usr/bin/rebuild-gcj-db: line 5: 12929 Segmentation fault     
/usr/bin/gcj-dbtool -n $dbLocation 64
xargs: /usr/bin/gcj-dbtool: terminated by signal 11
dirname: missing operand
Try `dirname --help' for more information.
mkdir: missing operand
Try `mkdir --help' for more information.
/usr/bin/rebuild-gcj-db: line 5: 13016 Segmentation fault     
/usr/bin/gcj-dbtool -n $dbLocation 64
xargs: /usr/bin/gcj-dbtool: terminated by signal 11
dirname: missing operand
Try `dirname --help' for more information.
mkdir: missing operand
Try `mkdir --help' for more information.
/usr/bin/rebuild-gcj-db: line 5: 13029 Segmentation fault     
/usr/bin/gcj-dbtool -n $dbLocation 64
xargs: /usr/bin/gcj-dbtool: terminated by signal 11
dirname: missing operand
Try `dirname --help' for more information.
mkdir: missing operand
Try `mkdir --help' for more information.
/usr/bin/rebuild-gcj-db: line 5: 13043 Segmentation fault     
/usr/bin/gcj-dbtool -n $dbLocation 64
xargs: /usr/bin/gcj-dbtool: terminated by signal 11

<<

Version-Release number of selected component (if
applicable):java-1.4.2-gcj-compat-1.4.2.0-40jpp.111


How reproducible: always


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Deji Akingunola 2007-01-10 18:07:55 EST
I tried again with rawhide tree of 2007-01-09, and the above segmentation fault
didn't happen. I'm not sure of which particular change 'fixed' it, anyway
closing as invalid. 

Note You need to log in before you can comment on or make changes to this bug.